# Created by pyp2rpm-2.0.0

Name:           python-pypandoc
Version:        1.3.3
Release:        2%{?dist}
Summary:        Thin wrapper for pandoc

License:        MIT
URL:            https://github.com/bebraw/pypandoc
Source0:        https://files.pythonhosted.org/packages/source/p/pypandoc/pypandoc-%{version}.tar.gz
# Disable tests that need internet access
# Allow disabling of docx, lua test with old pandoc
# https://github.com/bebraw/pypandoc/issues/124
Patch0:         python-pypandoc-tests.patch
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# for tests
BuildRequires:  pandoc
BuildRequires:  pandoc-citeproc
BuildRequires:  texlive-scheme-basic
BuildRequires:  texlive-collection-fontsrecommended
BuildRequires:  tex(ecrm1000.tfm)

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description \
pypandoc provides a thin Python wrapper for pandoc, a universal \
document converter, allowing parsing and conversion of          \
pandoc-formatted text.

%description %_description

%package -n     python2-pypandoc
Summary:        %{summary}
%{?python_provide:%python_provide python2-pypandoc}
Requires:       pandoc
Requires:       pandoc-citeproc
%if 0%{?fedora}
Recommends:     texlive-scheme-basic
Recommends:     texlive-collection-fontsrecommended
%endif

%description -n python2-pypandoc  %_description

%package -n     python%{python3_pkgversion}-pypandoc
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-pypandoc}
Requires:       pandoc
Requires:       pandoc-citeproc
%if 0%{?fedora}
Recommends:     texlive-scheme-basic
Recommends:     texlive-collection-fontsrecommended
%endif

%description -n python%{python3_pkgversion}-pypandoc  %_description

%prep
%setup -qn pypandoc-%{version}
%patch0 -p1 -b .tests

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# Old pandoc on EL7, no docx, no twiki
%if 0%{?rhel} && 0%{?rhel} <= 7
export CI=yes
sed -i -e '/twiki/d' tests.py
%endif
export LANG=en_US.UTF-8
%{__python2} tests.py
%{__python3} tests.py

%global _docdir_fmt %{name}

%files -n python2-pypandoc
%license LICENSE
%doc README.md examples/
%{python2_sitelib}/pypandoc
%{python2_sitelib}/pypandoc-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-pypandoc
%license LICENSE
%doc README.md examples/
%{python3_sitelib}/pypandoc
%{python3_sitelib}/pypandoc-%{version}-py?.?.egg-info

%changelog
* Tue Nov 29 2016 Orion Poplawski <orion@cora.nwra.com> - 1.3.3-2
- Also exclude test_convert_with_custom_writer with old pandoc

* Mon Nov 28 2016 Orion Poplawski <orion@cora.nwra.com> - 1.3.3-1
- Update to 1.3.3

* Mon Nov 28 2016 Orion Poplawski <orion@cora.nwra.com> - 1.1.3-3
- Enable EPEL builds

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Apr 07 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.3-1
- Initial package.
